aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaciej Barć <xgqt@gentoo.org>2023-02-27 04:16:25 +0100
committerMaciej Barć <xgqt@gentoo.org>2023-02-27 04:17:00 +0100
commit45ec17416d31bfc2c8411464f56ad4a8e74723d8 (patch)
tree1aa9bc999a693346895b352a9a3018a135e35f62 /scripts
parentMakefile: compile snippets (diff)
downloademacs-ebuild-snippets-45ec17416d31bfc2c8411464f56ad4a8e74723d8.tar.gz
emacs-ebuild-snippets-45ec17416d31bfc2c8411464f56ad4a8e74723d8.tar.bz2
emacs-ebuild-snippets-45ec17416d31bfc2c8411464f56ad4a8e74723d8.zip
scripts: add eldev-install.sh
Signed-off-by: Maciej Barć <xgqt@gentoo.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/eldev-install.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/scripts/eldev-install.sh b/scripts/eldev-install.sh
new file mode 100755
index 0000000..a18cf55
--- /dev/null
+++ b/scripts/eldev-install.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+
+# Copyright 2023 Gentoo Authors
+
+
+# This file is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with GNU Emacs. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+export PATH
+trap 'exit 128' INT
+
+
+root="$(dirname "${0}")/../"
+
+dist_dir="${root}"/dist
+
+if [ -z "${EMACS}" ] ; then
+ emacs="emacs"
+else
+ emacs="${EMACS}"
+fi
+
+
+cd "${root}"
+
+rm -r "${dist_dir}"
+
+make all
+
+eldev --time --verbose package
+
+cd "${dist_dir}"
+
+"${emacs}" \
+ --batch \
+ -q \
+ --eval "(require 'package)" \
+ --eval "(package-install-file \"$(find . -type f -name "*.tar" )\")"